<?php
// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002, 2003, 2004 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.

session_start();
$file = "adm_chkdata";
$path_pre="../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;


if ($cmru) {
  echo "<p class=\"setupreturn\"><a class=\"cms\"href=\"" . $cmru . ".php\">{$cm_text["setup-return"]}</a></p>";
}

if (($cm_superuser) && ($cm_superuser == $user_kurz)) {
    echo "<p class=\"titletext\">{$cm_text["check-welcome"]}</p>\n";
    echo "<hr><p class=\"titletext\">{$cm_text["check-chkcontent"]}</p>\n";
    if ($cm_remoteroot) {
      $cm_indexpath = $cm_mainroot;
    }
    else {
      $cm_indexpath = str_replace (basename (__FILE__), "", __FILE__) . $cm_mainroot;
    }
    echo "<p class=\"generaltext\">\n";
    $result1 = db_query("select cmdb_type, cmdb_directory, cmdb_parentdir, cmdb_author_user, cmdb_owner_user, cmdb_viewer_group, id from " . CM_DB_PREFIX . "content3 where cmdb_type like '%" . CM_HITTYPE_PAGE . "%' order by cmdb_directory") or db_die();
    while ($row1 = db_fetch_row($result1)) {
      $cm_chk_error = false;
      echo "<strong>{$cm_text["check-record"]} $row1[6]</strong> $row1[1]<br>";
      // Check existence of directory.
      if (!file_exists ($cm_indexpath . $row1[1])) {
        echo "<span class=\"checkerror\">{$cm_text["check-nodir"]}</span><br>";
        $cm_chk_error = true;
      }
      // Check existence of parent directory.
      $cm_apparent_parent = substr ($row1[1], 0, strrpos ($row1[1], "/"));
      $cm_apparent_parent2 = $cm_apparent_parent;
      if (!$cm_apparent_parent)
        $cm_apparent_parent = "/";
      if ($cm_apparent_parent = $row1[2]) {
        if (!file_exists ($cm_indexpath . $cm_apparent_parent2)) {
          echo "<span class=\"checkerror\">{$cm_text["check-noparentdir"]} " . $cm_indexpath . $cm_apparent_parent2  . "</span><br>";
          $cm_chk_error = true;
        }
      }
      else {
        echo "<span class=\"checkerror\">{$cm_text["check-invalidparent"]} " . $cm_indexpath . $cm_apparent_parent2  . "</span><br>";
        $cm_chk_error = true;
      }
      // Check existence of author.
      $result2 = db_query("select kurz from " . CM_PP_PREFIX . "users where kurz = '$row1[3]'") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "<span class=\"checkwarning\">{$cm_text["check-noauthor"]} $row1[3]</span><br>";
        $cm_chk_error = true;
      }
      // Check existence of owner.
      $result2 = db_query("select kurz from " . CM_PP_PREFIX . "users where kurz = '$row1[4]'") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "<span class=\"checkerror\">{$cm_text["check-noowner"]} $row1[4]</span><br>";
        $cm_chk_error = true;
      }
      // Check existence of viewer group.
      if ($groups) {
        if ($row1[5]) {
          $result2 = db_query("select kurz from " . CM_PP_PREFIX . "gruppen where kurz = '$row1[5]'") or db_die();
          $row2 = db_fetch_row($result2);
          if (!$row2[0]) {
            echo "<span class=\"checkerror\">{$cm_text["check-noviewer"]} $row1[5]</span><br>";
            $cm_chk_error = true;
          }
        }
        else {
          echo "<span class=\"checkwarning\">{$cm_text["check-noviewerdef"]} $row1[5]</span><br>";
          $cm_chk_error = true;
        }
        if (!$cm_chk_error) {
          echo "<span class=\"checkok\">{$cm_text["check-ok"]}</span><br>";
        }
      }
    }
    echo "</p>\n";
    
    
    
    echo "<hr><p class=\"titletext\">{$cm_text["check-chkhits"]}</p>\n";
    echo "<p class=\"generaltext\">\n";
    $result1 = db_query("select cmdb_type, cmdb_directory, id from " . CM_DB_PREFIX . "cmhits3 where cmdb_type like '%" . CM_HITTYPE_PAGE . "%' order by cmdb_directory") or db_die();
    while ($row1 = db_fetch_row($result1)) {
      echo "<strong>{$cm_text["check-record"]} $row1[2]</strong> $row1[1]<br>";
      $cm_chk_error = false;
      // Check existence of referenced page.
      $result2 = db_query("select cmdb_type, cmdb_directory from " . CM_DB_PREFIX . "content3 where cmdb_directory = '$row1[1]' and cmdb_type like '%" . CM_HITTYPE_PAGE . "%' order by cmdb_directory") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "<span class=\"checkwarning\">{$cm_text["check-nopage"]}</span><br>";
        $cm_chk_error = true;
      }
      if (!$cm_chk_error) {
        echo "<span class=\"checkok\">{$cm_text["check-ok"]}</span><br>";
      }
    }
    echo "</p>\n";
    
    
    echo "<hr><p class=\"titletext\">{$cm_text["check-chkcomments"]}</p>\n";
    echo "<p class=\"generaltext\">\n";
    $result1 = db_query("select cmdb_type, cmdb_directory, cmdb_author_user, id from " . CM_DB_PREFIX . "cmcomments3 where cmdb_type like '%" . CM_HITTYPE_PAGE . "%' order by cmdb_directory") or db_die();
    while ($row1 = db_fetch_row($result1)) {
      echo "<strong>{$cm_text["check-record"]} $row1[3]</strong> $row1[1]<br>";
      $cm_chk_error = false;
      // Check existence of referenced page.
      $result2 = db_query("select cmdb_type, cmdb_directory from " . CM_DB_PREFIX . "content3 where cmdb_directory = '$row1[1]' and cmdb_type like '%" . CM_HITTYPE_PAGE . "%' order by cmdb_directory") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "<span class=\"checkwarning\">{$cm_text["check-nopage"]}</span><br>";
        $cm_chk_error = true;
      }
      // Check existence of author.
      $result2 = db_query("select kurz from " . CM_PP_PREFIX . "users where kurz = '$row1[2]'") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "<span class=\"checkwarning\">{$cm_text["check-noauthor"]} $row1[2]</span><br>";
        $cm_chk_error = true;
      }
      if (!$cm_chk_error) {
        echo "<span class=\"checkok\">{$cm_text["check-ok"]}</span><br>";
      }
    }
    echo "</p>\n";


    echo "<hr><p class=\"titletext\">{$cm_text["check-chkratings"]}</p>\n";
    echo "<p class=\"generaltext\">\n";
    $result1 = db_query("select cmdb_directory, cmdb_author_user, id from " . CM_DB_PREFIX . "cmrating3 order by cmdb_directory") or db_die();
    while ($row1 = db_fetch_row($result1)) {
      echo "<strong>{$cm_text["check-record"]} $row1[2]</strong> $row1[0]<br>";
      $cm_chk_error = false;
      // Check existence of referenced page.
      $result2 = db_query("select cmdb_type, cmdb_directory from " . CM_DB_PREFIX . "content3 where cmdb_directory = '$row1[0]' and cmdb_type like '%" . CM_HITTYPE_PAGE . "%' order by cmdb_directory") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "<span class=\"checkwarning\">{$cm_text["check-nopage"]}</span><br>";
        $cm_chk_error = true;
      }
      // Check existence of author.
      $result2 = db_query("select kurz from " . CM_PP_PREFIX . "users where kurz = '$row1[1]'") or db_die();
      $row2 = db_fetch_row($result2);
      if (!$row2[0]) {
        echo "<span class=\"checkwarning\">{$cm_text["check-noauthor"]} $row1[1]</span><br>";
        $cm_chk_error = true;
      }
      if (!$cm_chk_error) {
        echo "<span class=\"checkok\">{$cm_text["check-ok"]}</span><br>";
      }
    }
    echo "</p>\n";


    fcm_add_logentry ("", $user_kurz, CM_APPLOG_CHECKER, "Checker validator executed.");

}
else {
  echo "<p class=\"titletext\">{$cm_text["check-welcome"]}</p>";
  echo "<p class=\"generaltext\">{$cm_text["setup-currentuser"]} <strong>$user_kurz</strong><br>";
  echo "{$cm_text["setup-superuseris"]} <strong>$cm_superuser</strong></p>";
  echo "<h3 class=\"setuperror\">{$cm_text["check-nosuperuser"]}</h3>";
  fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when running checker. Not enough permissions.");
}

if ($cmru) {
  echo "<p class=\"setupreturn\"><a class=\"cms\"href=\"" . $cmru . ".php\">{$cm_text["setup-return"]}</a></p>";
}

echo $cm_html_footer;
?>

