<?php
// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002, 2003, 2004 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.

session_start();
$file = "adm_createdb";
$path_pre = "../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "setup/db_var.inc.php");
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_defsec ($cm_security);
echo $cm_html_header;

if ($cmru) {
  echo "<p class=\"setupreturn\"><a class=\"cms\"href=\"" . $cmru . ".php\">{$cm_text["setup-return"]}</a></p>";
}

if (($cm_superuser) && ($cm_superuser == $user_kurz)) {
  if ($cm_createdb) {
    echo "<p class=\"titletext\">{$cm_text["setup-creatingdb"]}</p>";

    // CONTENT3
    $result = db_query("
      CREATE TABLE " . CM_DB_PREFIX . "content3 (
      ID $db_int8_auto[$db_type],
      cmdb_type $db_varchar10[$db_type],
      cmdb_directory $db_varchar255[$db_type],
      cmdb_parentdir $db_varchar255[$db_type],
      cmdb_title $db_varchar255[$db_type],
      cmdb_author_user $db_varchar20[$db_type],
      cmdb_author_group $db_varchar20[$db_type],
      cmdb_owner_user $db_varchar20[$db_type],
      cmdb_owner_group $db_varchar20[$db_type],
      cmdb_viewer_user $db_varchar20[$db_type],
      cmdb_viewer_group $db_varchar20[$db_type],
      cmdb_date_start $db_varchar20[$db_type],
      cmdb_date_finish $db_varchar20[$db_type],
      cmdb_date_creation $db_varchar20[$db_type],
      cmdb_date_update $db_varchar20[$db_type],
      cmdb_keywords $db_text[$db_type],
      cmdb_abstract $db_text[$db_type],
      cmdb_content $db_text[$db_type],
      PRIMARY KEY (ID)
    ) ");
    if (!$result) { echo "error creation CONTENT3<br>\n"; $error = 1; }
    else { echo "OK creation CONTENT3<br>\n"; $error = 0; }
    if ($db_type == "oracle") { sequence(CM_DB_PREFIX . "content3"); }
    if ($db_type == "interbase") {ib_autoinc(CM_DB_PREFIX . "content3"); }

    $result = db_query("
      ALTER TABLE " . CM_DB_PREFIX . "content3
      ADD cmdb_rated $db_int11[$db_type]
      ");
    if (!$result) { echo "error update CONTENT3 1/7 to 0.5.0<br>\n"; $error = 1; }
    else {
      echo "OK update CONTENT3 1/7 to 0.5.0<br>\n"; $error = 0;
      $result = db_query("UPDATE " . CM_DB_PREFIX . "content3 set cmdb_rated=1");
    }

    $result = db_query("
      ALTER TABLE " . CM_DB_PREFIX . "content3
      ADD cmdb_commented $db_int11[$db_type]
      ");
    if (!$result) { echo "error update CONTENT3 2/7 to 0.5.0<br>\n"; $error = 1; }
    else {
      echo "OK update CONTENT3 2/7 to 0.5.0<br>\n"; $error = 0;
      $result = db_query("UPDATE " . CM_DB_PREFIX . "content3 set cmdb_commented=1");
    }

    $result = db_query("
      ALTER TABLE " . CM_DB_PREFIX . "content3
      ADD cmdb_short_title $db_varchar20[$db_type]
      ");
    if (!$result) { echo "error update CONTENT3 3/7 to 0.5.0<br>\n"; $error = 1; }
    else {
      echo "OK update CONTENT3 3/7 to 0.5.0<br>\n"; $error = 0;
      $result = db_query("UPDATE " . CM_DB_PREFIX . "content3 set cmdb_short_title=''");
    }

    $result = db_query("
      ALTER TABLE " . CM_DB_PREFIX . "content3
      ADD cmdb_logo $db_varchar255[$db_type]
      ");
    if (!$result) { echo "error update CONTENT3 4/7 to 0.5.0<br>\n"; $error = 1; }
    else {
      echo "OK update CONTENT3 4/7 to 0.5.0<br>\n"; $error = 0;
      $result = db_query("UPDATE " . CM_DB_PREFIX . "content3 set cmdb_logo=''");
    }

    $result = db_query("
      ALTER TABLE " . CM_DB_PREFIX . "content3
      ADD cmdb_version $db_int11[$db_type]
      ");
    if (!$result) { echo "error update CONTENT3 5/7 to 0.5.0<br>\n"; $error = 1; }
    else {
      echo "OK update CONTENT3 5/7 to 0.5.0<br>\n"; $error = 0;
      $result = db_query("UPDATE " . CM_DB_PREFIX . "content3 set cmdb_version=1");
    }

    $result = db_query("
      ALTER TABLE " . CM_DB_PREFIX . "content3
      ADD cmdb_sign $db_varchar255[$db_type]
      ");
    if (!$result) { echo "error update CONTENT3 6/7 to 0.5.0<br>\n"; $error = 1; }
    else {
      echo "OK update CONTENT3 6/7 to 0.5.0<br>\n"; $error = 0;
      $result = db_query("UPDATE " . CM_DB_PREFIX . "content3 set cmdb_sign=''");
    }

    $result = db_query("
      ALTER TABLE " . CM_DB_PREFIX . "content3
      ADD cmdb_enable_html $db_int11[$db_type]
      ");
    if (!$result) { echo "error update CONTENT3 7/7 to 0.5.0<br>\n"; $error = 1; }
    else {
      echo "OK update CONTENT3 7/7 to 0.5.0<br>\n"; $error = 0;
      $result = db_query("UPDATE " . CM_DB_PREFIX . "content3 set cmdb_enable_html=0");
    }



    // CMHITS3
    $result = db_query("
      CREATE TABLE " . CM_DB_PREFIX . "cmhits3 (
      ID $db_int8_auto[$db_type],
      cmdb_type $db_varchar10[$db_type],
      cmdb_directory $db_varchar255[$db_type],
      cmdb_totalhits $db_int11[$db_type],
      cmdb_updatehits $db_int11[$db_type],
      PRIMARY KEY (ID)
    ) ");
    if (!$result) { echo "error creation CMHITS3<br>\n"; $error = 1; }
    else { echo "OK creation CMHITS3<br>\n"; $error = 0; }
    if ($db_type == "oracle") { sequence(CM_DB_PREFIX . "cmhits3"); }
    if ($db_type == "interbase") {ib_autoinc(CM_DB_PREFIX . "cmhits3"); }


    // CMCOMMENTS3
    $result = db_query("
      CREATE TABLE " . CM_DB_PREFIX . "cmcomments3 (
      ID $db_int8_auto[$db_type],
      cmdb_type $db_varchar10[$db_type],
      cmdb_directory $db_varchar255[$db_type],
      cmdb_title $db_varchar255[$db_type],
      cmdb_author_user $db_varchar20[$db_type],
      cmdb_date_creation $db_varchar20[$db_type],
      cmdb_comment $db_text[$db_type],
      PRIMARY KEY (ID)
    ) ");
    if (!$result) { echo "error creation CMCOMMENTS3<br>\n"; $error = 1; }
    else { echo "OK creation CMCOMMENTS3<br>\n"; $error = 0; }
    if ($db_type == "oracle") { sequence(CM_DB_PREFIX . "cmcomments3"); }
    if ($db_type == "interbase") {ib_autoinc(CM_DB_PREFIX . "cmcomments3"); }


    // CMRATING3
    $result = db_query("
      CREATE TABLE " . CM_DB_PREFIX . "cmrating3 (
      ID $db_int8_auto[$db_type],
      cmdb_directory $db_varchar255[$db_type],
      cmdb_rate $db_int11[$db_type],
      cmdb_author_user $db_varchar20[$db_type],
      PRIMARY KEY (ID)
    ) ");
    if (!$result) { echo "error creation CMRATING3<br>\n"; $error = 1; }
    else { echo "OK creation CMRATING3<br>\n"; $error = 0; }
    if ($db_type == "oracle") { sequence(CM_DB_PREFIX . "cmrating3"); }
    if ($db_type == "interbase") {ib_autoinc(CM_DB_PREFIX . "cmrating3"); }


    // CMRESTRICT3
    $result = db_query("
      CREATE TABLE " . CM_DB_PREFIX . "cmrestrict3 (
      ID $db_int8_auto[$db_type],
      cmdb_object $db_int11[$db_type],
      cmdb_operation $db_int11[$db_type],
      cmdb_role $db_int11[$db_type],
      cmdb_permission $db_int11[$db_type],
      PRIMARY KEY (ID)
    ) ");
    if (!$result) { echo "error creation CMRESTRICT3<br>\n"; $error = 1; }
    else { echo "OK creation CMRESTRICT3<br>\n"; $error = 0; }
    if ($db_type == "oracle") { sequence(CM_DB_PREFIX . "cmrestrict3"); }
    if ($db_type == "interbase") {ib_autoinc(CM_DB_PREFIX . "cmrestrict3"); }


    // CMAPPLOG3
    $result = db_query("
      CREATE TABLE " . CM_DB_PREFIX . "cmapplog3 (
      ID $db_int8_auto[$db_type],
      cmdb_date $db_varchar20[$db_type],
      cmdb_operation $db_int11[$db_type],
      cmdb_user $db_varchar20[$db_type],
      cmdb_directory $db_varchar255[$db_type],
      cmdb_description $db_varchar255[$db_type],
      PRIMARY KEY (ID)
    ) ");
    if (!$result) { echo "error creation CMAPPLOG3<br>\n"; $error = 1; }
    else { echo "OK creation CMAPPLOG3<br>\n"; $error = 0; }
    if ($db_type == "oracle") { sequence(CM_DB_PREFIX . "cmapplog3"); }
    if ($db_type == "interbase") {ib_autoinc(CM_DB_PREFIX . "cmapplog3"); }


    // CMSYND3
    $result = db_query("
      CREATE TABLE " . CM_DB_PREFIX . "cmsynd3 (
      ID $db_int8_auto[$db_type],
      cmdb_type $db_varchar10[$db_type],
      cmdb_uri $db_varchar255[$db_type],
      cmdb_title $db_varchar255[$db_type],
      cmdb_owner_user $db_varchar20[$db_type],
      cmdb_date_creation $db_varchar20[$db_type],
      cmdb_date_update $db_varchar20[$db_type],
      cmdb_ttl $db_int11[$db_type],
      cmdb_autodl $db_int11[$db_type],
      cmdb_inhome $db_int11[$db_type],
      cmdb_visitems $db_int11[$db_type],
      cmdb_content $db_text[$db_type],
      PRIMARY KEY (ID)
    ) ");
    if (!$result) { echo "error creation CMSYND3<br>\n"; $error = 1; }
    else { echo "OK creation CMSYND3<br>\n"; $error = 0; }
    if ($db_type == "oracle") { sequence(CM_DB_PREFIX . "cmsynd3"); }
    if ($db_type == "interbase") {ib_autoinc(CM_DB_PREFIX . "cmsynd3"); }
    
    


  }
  else {
    echo "<p class=\"titletext\">{$cm_text["setup-welcomedb"]}<br>";
  }
  echo "<hr><form class=\"cms\" action=\"adm_createdb.php\" method=\"post\">";
  echo "<input type=\"hidden\" name=\"cmru\" value=\"$cmru\">";
  echo "<input class=\"cms\" type=\"submit\" name=\"cm_createdb\" value=\"{$cm_text["setup-createdb"]}\">";
  echo "</form>";

}
else {
  echo "<p class=\"titletext\">{$cm_text["setup-welcomedb"]}</p>";
  echo "<p class=\"generaltext\">{$cm_text["setup-currentuser"]} <strong>$user_kurz</strong><br>";
  echo "{$cm_text["setup-superuseris"]} <strong>$cm_superuser</strong></p>";
  echo "<h3 class=\"setuperror\">{$cm_text["setup-nosuperuserdb"]}</h3>";
}

if ($cmru) {
  echo "<p class=\"setupreturn\"><a class=\"cms\"href=\"" . $cmru . ".php\">{$cm_text["setup-return"]}</a></p>";
}

echo $cm_html_footer;
?>
