<?php
// English markup help file for the Content Management System module for PHProjekt (CMS4P).
// Copyright 2002, 2003, 2004 by Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
$path_pre="../../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_html_header;

?>

<p>
Don't use HTML in the content of the document.
Edit directly using this variant of the WikiMarkup.
</p>


<table width="100%" border="1" cellspacing="1" cellpadding="5">
<tr>
	<td><strong>Using</strong>
  </td>
	<td><strong>You get</strong>
  </td>
	<td><strong>Example</strong>
  </td>
</tr>
<tr>
	<td> _text_  <br>
  (blank plus underline and underline plus blank before and after of text)
  </td>
	<td>emphasis (italics)
  </td>
	<td> These are _italics_ <br>
      These are <em>italics</em>
  </td>
</tr>
<tr>
	<td> *text*  <br>
  (blank plus asterisk and asterisk plus blank before and after text)
  </td>
	<td>strong (bold)
  </td>
	<td> This is *bold*<br>
      This is <strong>bold</strong>
  </td>
</tr>
<tr>
	<td> %text%  <br>
  (blank plus percentage sign and percentage sign plus blank before and after text)
  </td>
	<td>framed text
  </td>
	<td> %This is framed% <br>
      <DIV class="boxedpara">This is framed</DIV>
  </td>
</tr>
<tr>
	<td>___  <br>
  (three underlines at the beginning of a line and at the end of another line)
  </td>
	<td>fixed width text (preformated)
  </td>
	<td>___<br>
  This is preformated<br>
  ___<br>
  <PRE>This is preformated</PRE>
  </td>
</tr>
<tr>
	<td>[[url linkname]]  <br>
  (double square bracket plus url plus blank plus title plus double square bracket)
  </td>
	<td>external link (url and optionally a title)
  </td>
	<td>
  Portal [[http://www.yahoo.com/]]<br>
  Portal <a href="http://www.yahoo.com/">http://www.yahoo.com/</a><br>
  Portal [[http://www.yahoo.com/ Yahoo]]<br>
  Portal <a href="http://www.yahoo.com/">Yahoo</a><br>
  </td>
</tr>
<tr>
	<td>[[.filename linkname]]  <br>
  (double square bracket plus dot plus filename plus blank title plus double square bracket)
  </td>
	<td>link to a local file (url and optionally a title)
  </td>
	<td>
  Document [[.document.pdf]]<br>
  Document <a href="document.pdf">document.pdf</a><br>
  Document [[.document.pdf in PDF format]]<br>
  Document <a href="document.pdf">in PDF format</a><br>
  </td>
</tr>
<tr>
	<td>{{url linkname}}  <br>
  (double curly brackets plus url plus blank plus title plus double curly brackets)
  </td>
	<td>external link in a new window (url and optionally a title)
  </td>
	<td>
  Portal {{http://www.yahoo.com/}}<br>
  Portal <a href="http://www.yahoo.com/" target="_blank">http://www.yahoo.com/</a><br>
  Portal {{http://www.yahoo.com/ Yahoo}}<br>
  Portal <a href="http://www.yahoo.com/" target="_blank">Yahoo</a><br>
  </td>
</tr>
<tr>
	<td>{{.filename linkname}}  <br>
  (double curly brackets plus dot plus filename plus blank plus title plus double curly brackets)
  </td>
	<td>link to a local file in a new window (url and optionally a title)
  </td>
	<td>
  Document {{.document.pdf}}<br>
  Document <a href="document.pdf" target="_blank">document.pdf</a><br>
  Document {{.document.pdf in PDF format}}<br>
  Document <a href="document.pdf" target="_blank">in PDF format</a><br>
  </td>
</tr>
<tr>
	<td>((url imagename))  <br>
  (double parentheses plus url plus blank plus title plus double parentheses)
  </td>
	<td>external image (url and optionally an alternative value)
  </td>
	<td>
  Photo ((http://www.google.com/images/logo.gif))<br>
  Photo <img src="http://www.google.com/images/logo.gif" alt="" border="0"><br>
  Photo ((http://www.google.com/images/logo.gif Example image))<br>
  Photo <img src="http://www.google.com/images/logo.gif" alt="Example image" border="0"><br>
  </td>
</tr>
<tr>
	<td>((.filename linkname))  <br>
  (double parentheses plus dot plus filename plus blank plus title plus double parentheses)
  </td>
	<td>local image (filename and optionally an alternative value)
  </td>
	<td>
  Photo ((.example.jpg))<br>
  Photo <img src="example.jpg" alt="" border="0"><br>
  Photo ((.example.jpg Example image))<br>
  Photo <img src="example.jpg" alt="Example image" border="0"><br>
  </td>
</tr>
<tr>
	<td>#[<br>
	#- List item text1.<br>
	#- List item text2.<br>
	#- List item textn.<br>
  #]<br>
  (hash plus opening bracket, hash plus dash, hash plus closing bracket)
  </td>
	<td>Ordered list (numbered list). Can be nested.
  </td>
	<td>#[<br>
	#- Suzanne.<br>
	#- Carlos.<br>
	#- Nanami.<br>
	#- Local friends:<br>
	#[<br>
	#- Vicky<br>
	#- Zariv<br>
	#- Arnulfo<br>
  #]<br>
  #]<br>
  <ol>
  <li>Suzanne
  <li>Carlos
  <li>Nanami
  <li>Local friends:
  <ol>
  <li>Vicky
  <li>Zariv
  <li>Arnulfo
  </ol>
  </ol>
  </td>
</tr>
<tr>
	<td>*[<br>
	*- List item text1.<br>
	*- List item text2.<br>
	*- List item textn.<br>
  *]<br>
  (asterisk plus opening bracket, asterisk plus dash, asterisk plus closing bracket)
  </td>
	<td>Unordered list (bulleted list). Can be nested.
  </td>
	<td>*[<br>
	*- Suzanne.<br>
	*- Carlos.<br>
	*- Nanami.<br>
	*- Local friends:<br>
	*[<br>
	*- Vicky<br>
	*- Zariv<br>
	*- Arnulfo<br>
  *]<br>
  *]<br>
  <ul>
  <li>Suzanne
  <li>Carlos
  <li>Nanami
  <li>Local friends:
  <ul>
  <li>Vicky
  <li>Zariv
  <li>Arnulfo
  </ul>
  </ul>
  </td>
</tr>
<tr>
	<td>#SHORTINDEX#<br>
  (number sign plus SHORTINDEX plus number sign)
  </td>
	<td>index of descendant pages (list of available documents under this directory)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>#INDEX#<br>
  (number sign plus INDEX plus number sign)
  </td>
	<td>index of descendant pages (list of available documents in all directories under the current one)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>#FILES#<br>
  (number sign plus FILES plus number sign)
  </td>
	<td>index of local files (index of downloadable files in local directory)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>#ALBUM#<br>
  (number sign plus ALBUM plus number sign)
  </td>
	<td>Album of local JPEG images (album with autogenerated JPEG thumbnails)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>= <br>
  (equal sign plus blank at the beginning of a line)
  </td>
	<td>Header H1
  </td>
	<td>= This is a title<br>
      <h1>This is a title</h1>
  </td>
</tr>
<tr>
	<td>== <br>
  (2 equal signs plus blank at the beginning of a line)
  </td>
	<td>Header H2
  </td>
	<td>== This is a title<br>
      <h2>This is a title</h2>
  </td>
</tr>
<tr>
	<td>=== 
  (3 equal signs plus blank at the beginning of a line)
  </td>
	<td>Header H3
  </td>
	<td>=== This is a title<br>
      <h3>This is a title</h3>
  </td>
</tr>
<tr>
	<td>==== 
  (4 equal signs plus blank at the beginning of a line)
  </td>
	<td>Header H4
  </td>
	<td>==== This is a title<br>
      <h4>This is a title</h4>
  </td>
</tr>
<tr>
	<td> :)   <br>
  :P <br>
  :p <br>
  :( <br>
  :'( <br>
  :,( <br>
  =) <br>
  ;) <br>
  :O <br>
  :o <br>
  :D <br>
  :\ <br>
  :/ <br>
  :| <br>
  (blank and an emoticon/smiley)
  </td>
	<td>Emocional/smiley icon
  </td>
	<td> I'm happy... :)<br>
      I'm happy... <img src="face1.png" alt="" border="0">
  </td>
</tr>
</table>


<?php
echo $cm_html_footer;
?>

