<?php
// WYSIWYG DHTML editor.
// Copyright 1999, 2000, 2001, 2002, 2003, 2004 by Mario A. Valdez-Ramirez
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This piece of code now integrated with:

// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002, 2003, 2004 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.

session_start();
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);


function fcm_display_edituploader ($cm_path) {
  global $cm_text, $cm_limitsize, $cm_ua;
  $cm_canupload = get_cfg_var ("file_uploads");
  $cm_maxfilesize = substr (get_cfg_var ("upload_max_filesize"), 0, -1) * 1024 * 1024;
  $cm_maxpostsize = substr (get_cfg_var ("post_max_size"), 0, -1) * 1024 * 1024;
  if ($cm_maxpostsize < $cm_maxfilesize) {
    $cm_limitsize = $cm_maxpostsize;
  }
  else {
    $cm_limitsize = $cm_maxfilesize;
  }
  echo "<TABLE ALIGN=\"center\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"5\"><TR><TD class=\"fileman1body\">";
  if ($cm_canupload) {
    echo "<span class=\"inputname\">{$cm_text["edit_uploadlimit"]} " . round ($cm_limitsize/1024) . " k</span>";
    echo "<form class=\"cms\" action=\"editorup.php\" target= \"edit_uploader\" method=\"post\" enctype=\"multipart/form-data\">";
    echo "<input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\">";
    echo "<input type=\"hidden\" name=\"cm_ua\" value=\"$cm_ua\">";
    echo "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"$cm_limitsize\">";
    echo "<input type=\"file\" name=\"cm_userfile\"><br>";
    echo "<input class=\"cms\" type=\"submit\" name=\"cm_upload\" value=\"{$cm_text["edit_uploadfile"]}\">";
    echo "<BUTTON class=\"btntxt\" onclick=\"ReturnFilename('', 0, 0, '$cm_ua');\">{$cm_text["edit_uploadcancel"]}</BUTTON>";
    echo "</form>";
  }
  else {
    echo "<span class=\"inputname\">{$cm_text["disabledupload"]}</span><br>";
  }
  echo "</TD></TR></TABLE>";
}


function fcm_check_ulimage ($cm_currentpath, $cm_logoimage) {
  global $cm_mainroot;
  $cm_logoimage = $cm_mainroot . $cm_currentpath . "/" . $cm_logoimage;
  if (file_exists ($cm_logoimage)) {
    return (getimagesize ($cm_logoimage));
  }
  else {
    return (array (0, 0));
  }
}


if ($cm_enable_visedit) {
  $cm_html_header = "<html><head>\n<title>{$cm_text["contentmanagement"]}</title>\n
    <link rel=stylesheet type=\"text/css\" href=\"$css_style\">\n$lang_cfg\n</head>\n
    <body bgcolor=\"$bgcolor3\" leftmargin=\"5\" topmargin=\"5\" rightmargin=\"5\" bottommargin=\"5\" onload=\"InitForm();\">\n";
  echo $cm_html_header;

  $cm_http_base = "http://$cm_server_name/" . substr ($cm_php_self, 1, strrpos ($cm_php_self, "/"));
  $cm_https_base = "https://$cm_server_name/" . substr ($cm_php_self, 1, strrpos ($cm_php_self, "/"));

?>
<script><!--
function InitForm () { 
  window.name = "edit_uploader";
}
function ReturnFilename (cm_retfilename, cm_imgx, cm_imgy, cm_ua) {
  if (cm_ua == "IE") {
    cm_returndata = new Array (cm_retfilename, cm_imgx, cm_imgy);
    window.returnValue = cm_returndata;
  }
  window.close();
}
function SetImgFile (cm_newimgfile) { 
  window.returnValue = cm_newimgfile;
  window.close();
}
-->
</script>
<?php
  // if we are uploading...
  if ($cm_upload) {
    if ($cm_remoteroot) {
      $cm_indexpath = $cm_mainroot . $cm_path . "/";
    }
    else {
      $cm_indexpath = str_replace (basename (__FILE__), "", __FILE__) . $cm_mainroot . $cm_path . "/";
    }
    if ($_FILES["cm_userfile"]["name"] && $_FILES["cm_userfile"]["size"]) {
      if ((is_uploaded_file ($_FILES["cm_userfile"]["tmp_name"])) && (move_uploaded_file ($_FILES["cm_userfile"]["tmp_name"], $cm_indexpath . $_FILES["cm_userfile"]["name"]))) {
        $cm_img_dims = fcm_check_ulimage ($cm_path, $_FILES["cm_userfile"]["name"]);
        if (($cm_img_dims[0] != 0) && ($cm_img_dims[1] != 0)) {
          fcm_message ($cm_text["edit_uploadedfile"] . " (" . $_FILES["cm_userfile"]["name"] . ")", CM_MSGSTYLE_INFORMATION);
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Uploaded file " . $_FILES["cm_userfile"]["name"]);
          $cm_fileext = (string) substr (strrchr (strtolower ($_FILES["cm_userfile"]["name"]), "."), 1);
          if (array_key_exists ($cm_fileext, $cm_disabled_type)) {
            @unlink ($cm_indexpath . $_FILES["cm_userfile"]["name"]);
            fcm_message ($cm_text["filetypedisabled"] . " " . $cm_text["deletedfile"] . " (". $_FILES["cm_userfile"]["name"] . ")", CM_MSGSTYLE_ERROR);
            fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when uploading file " . $_FILES["cm_userfile"]["name"] . ". File type disabled.");
          }
          else {
            echo "<div align=\"center\"><BUTTON class=\"btntxt\" onclick=\"ReturnFilename('" . $_FILES["cm_userfile"]["name"] . "', {$cm_img_dims[0]}, {$cm_img_dims[1]}, '$cm_ua');\">{$cm_text["edit_insertimg"]}</BUTTON></div>";
          }
        }
        else {
          @unlink ($cm_indexpath . $_FILES["cm_userfile"]["name"]);
          fcm_message ($cm_text["edit_errorupfile"] . " (" . $_FILES["cm_userfile"]["name"] . ")", CM_MSGSTYLE_ERROR);
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when uploading file " . $_FILES["cm_userfile"]["name"]);
          echo "<div align=\"center\"><BUTTON class=\"btntxt\" onclick=\"ReturnFilename('', 0, 0, '$cm_ua');\">{$cm_text["edit_uploadok"]}</BUTTON></div>";
        }
      }
      else {
        fcm_message ($cm_text["edit_errorupfile"] . " (" . $_FILES["cm_userfile"]["name"] . ")", CM_MSGSTYLE_ERROR);
        fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when uploading file " . $_FILES["cm_userfile"]["name"]);
        echo "<div align=\"center\"><BUTTON class=\"btntxt\" onclick=\"ReturnFilename('', 0, 0, '$cm_ua');\">{$cm_text["edit_uploadok"]}</BUTTON></div>";
      }
    }
    else {
      fcm_display_edituploader ($cm_path);
    }
  }
  else {
    fcm_display_edituploader ($cm_path);
    if ($cm_remoteroot) {
      $cm_indexpath = $cm_mainroot . $cm_path . "/";
    }
    else {
      $cm_indexpath = str_replace (basename (__FILE__), "", __FILE__) . $cm_mainroot . $cm_path . "/";
    }
    echo "<TABLE ALIGN=\"center\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"3\">";
  	$cm_dirhandle = opendir($cm_indexpath);
    while (($file = readdir($cm_dirhandle)) != false)
      $cm_sorteddir[count($cm_sorteddir)] = $file;
  	closedir($cm_dirhandle); 
    natcasesort($cm_sorteddir); 
    $cm_curcolor = "filelistcolor1";
  	foreach ($cm_sorteddir as $file) {
      if (($file != ".") && ($file != "..")) {
        if (!is_dir ($cm_indexpath . $file)) {
          $cm_fileext = (string) substr (strrchr (strtolower ($file), "."), 1);
          if (($cm_fileext == "jpg") || ($cm_fileext == "jpeg") || ($cm_fileext == "gif") || ($cm_fileext == "png")) {
            $cm_img_dims = fcm_check_ulimage ($cm_path, $file);
            if (($cm_img_dims[0] != 0) && ($cm_img_dims[1] != 0)) {
              echo "<TR class=\"$cm_curcolor\">";
              echo "<TD class=\"fileman1list\">" . $file . "</TD>";
              echo "<TD class=\"fileman1list\">" . $cm_img_dims[0] . "x" . $cm_img_dims[1] . "</TD>";
              echo "<TD class=\"fileman1list\" align=\"right\">" . ceil (filesize ($cm_indexpath . $file) / 1024) . " k</TD>";
              echo "<TD class=\"fileman1list\">&nbsp;&nbsp;&nbsp;&nbsp;<a style=\"cursor: hand; color: blue;\" onclick=\"ReturnFilename('" . $file . "', {$cm_img_dims[0]}, {$cm_img_dims[1]}, '$cm_ua');\">{$cm_text["edit_insertimg"]}</a></TD>";
              echo "</TR>";
              $cm_curcolor = fcm_swap_rowcolor ($cm_curcolor, "filelistcolor1", "filelistcolor2");
            }
          }
        }
      }
  	}
    echo "</TABLE>";

  }
} // if %cm_enable_visedit
else {
  echo $cm_html_header;
}
echo $cm_html_footer;
?> 

